Skip to main content
GET
/
customers
/
{customer_id}
/
verifications
List verification results
curl --request GET \
  --url https://api-sandbox.synctera.com/v0/customers/{customer_id}/verifications \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-sandbox.synctera.com/v0/customers/{customer_id}/verifications"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-sandbox.synctera.com/v0/customers/{customer_id}/verifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "verifications": [
    {
      "result": "ACCEPTED",
      "verification_time": "2023-11-07T05:31:56Z",
      "verification_type": "kyc",
      "id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
      "issues": [
        "R186: Global Watchlist sources selected are correlated with the input identifiers"
      ],
      "raw_response": {
        "provider": "SOCURE",
        "raw_data": "{}"
      },
      "vendor_info": {
        "content_type": "text/xml",
        "vendor": "IDOLOGY",
        "xml": "<string>",
        "details": [
          {
            "code": "R186",
            "description": "Global Watchlist sources selected are correlated with the input identifiers"
          }
        ]
      }
    }
  ],
  "next_page_token": "a8937a0d"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

customer_id
string<uuid>
required

The customer's unique identifier

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Query Parameters

page_token
string

Optional pagination token to be provided to retrieve subsequent pages, returned from previous get

Example:

"a8937a0d"

limit
integer
default:100

Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.

Required range: x >= 1
Example:

100

include_history
boolean
default:false

If true, include old (inactive) records as well.

Response

List of customer verification results.

verifications
CustomerVerificationResult · object[]
required

Array of verification results.

next_page_token
string

If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.

Example:

"a8937a0d"